/**
 * @brief PUT_TEXT_HERE
 * @details This file is...
 * @author username
 * @date todays_date
 * @copyright None
 * @file TriacOut.h
 */

#ifndef TRIACOUT_H 
#define TRIACOUT_H 

#include <stdint.h>


#define G1 1
#define G2 3 
#define G3 2

#define G1_BM (1<<1)
#define G2_BM (1<<3) 
#define G3_BM (1<<2)

extern void (*Delay_MicroSeconds)(double us);


/**
 * A function that adds two to a number
 * @param pulse_time The time in micro seconds.
 * 
 * This function turns off G1, G2 and G3, once the passed time in micro seconds
 * has elapsed the pins are all set to low.
 */
void TriacOut_PulsePins(uint16_t pulse_time);

/**
 * This sets up the G1, G2 and the G3 pins for output.
 */
void TriacOut_SetupPins(void);

/**
 * This sets G1, G2 and G3 to high on the output.
 */
void TriacOut_SetAllHigh(void);



#endif //TRIACOUT_H
